# GstVulkanQueue

GstVulkanQueue encapsulates the vulkan command queue.

## GstVulkanQueue

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstVulkanQueue

### Members

`parent` (GstObject) –

the parent GstObject

`device` (GstVulkanDevice *) –

the GstVulkanDevice this queue was allocated from

`queue` (VkQueue) –

the vulkan queue handle

`family` (guint32) –

the vulkan queue family

`index` (guint32) –

the vulkan queue index

Since : 1.18

### Class structure

#### GstVulkanQueueClass

##### Fields

`parent_class` (GstObjectClass) –

the parent GstObjectClass

Since : 1.18

### GstVulkan.VulkanQueueClass

##### Attributes

`parent_class` (Gst.ObjectClass) –

the parent Gst.ObjectClass

Since : 1.18

### GstVulkan.VulkanQueueClass

##### Attributes

`parent_class` (Gst.ObjectClass) –

the parent Gst.ObjectClass

Since : 1.18

## GstVulkan.VulkanQueue

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanQueue

### Members

`parent` (Gst.Object) –

the parent Gst.Object

`device` (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice this queue was allocated from

`queue` (Vulkan.Queue) –

the vulkan queue handle

`family` (Number) –

the vulkan queue family

`index` (Number) –

the vulkan queue index

Since : 1.18

## GstVulkan.VulkanQueue

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstVulkan.VulkanQueue

### Members

`parent` (Gst.Object) –

the parent Gst.Object

`device` (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice this queue was allocated from

`queue` (Vulkan.Queue) –

the vulkan queue handle

`family` (int) –

the vulkan queue family

`index` (int) –

the vulkan queue index

Since : 1.18

### Methods

#### gst_vulkan_queue_create_command_pool

    GstVulkanCommandPool *
    gst_vulkan_queue_create_command_pool (GstVulkanQueue * queue,
                                          GError ** error)

Parameters:

`queue` –

a GstVulkanQueue

`error` ( [out][optional]) –

a GError

Returns ( [transfer: full]) –

a new GstVulkanCommandPool or NULL

Since : 1.18

#### GstVulkan.VulkanQueue.prototype.create_command_pool

    function GstVulkan.VulkanQueue.prototype.create_command_pool(): {
        // javascript wrapper for 'gst_vulkan_queue_create_command_pool'
    }

Parameters:

`queue` (GstVulkan.VulkanQueue) –

a GstVulkan.VulkanQueue

Returns (GstVulkan.VulkanCommandPool) –

a new GstVulkan.VulkanCommandPool or null

Since : 1.18

#### GstVulkan.VulkanQueue.create_command_pool

    @raises(GLib.GError)
    def GstVulkan.VulkanQueue.create_command_pool (self):
        #python wrapper for 'gst_vulkan_queue_create_command_pool'

Parameters:

`queue` (GstVulkan.VulkanQueue) –

a GstVulkan.VulkanQueue

Returns (GstVulkan.VulkanCommandPool) –

a new GstVulkan.VulkanCommandPool or None

Since : 1.18

#### gst_vulkan_queue_get_device

    GstVulkanDevice *
    gst_vulkan_queue_get_device (GstVulkanQueue * queue)

Parameters:

`queue` –

a GstVulkanQueue

Returns ( [transfer: full][nullable]) –

the GstVulkanDevice for queue

Since : 1.18

#### GstVulkan.VulkanQueue.prototype.get_device

    function GstVulkan.VulkanQueue.prototype.get_device(): {
        // javascript wrapper for 'gst_vulkan_queue_get_device'
    }

Parameters:

`queue` (GstVulkan.VulkanQueue) –

a GstVulkan.VulkanQueue

Returns (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice for queue

Since : 1.18

#### GstVulkan.VulkanQueue.get_device

    def GstVulkan.VulkanQueue.get_device (self):
        #python wrapper for 'gst_vulkan_queue_get_device'

Parameters:

`queue` (GstVulkan.VulkanQueue) –

a GstVulkan.VulkanQueue

Returns (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice for queue

Since : 1.18

#### gst_vulkan_queue_submit_lock

    gst_vulkan_queue_submit_lock (GstVulkanQueue * queue)

Locks the queue for command submission using `vkQueueSubmit()` to meet the Vulkan requirements for externally synchronised resources.

Parameters:

`queue` –

a GstVulkanQueue

Since : 1.18

#### GstVulkan.VulkanQueue.prototype.submit_lock

    function GstVulkan.VulkanQueue.prototype.submit_lock(): {
        // javascript wrapper for 'gst_vulkan_queue_submit_lock'
    }

Locks the queue for command submission using `vkQueueSubmit()` to meet the Vulkan requirements for externally synchronised resources.

Parameters:

`queue` (GstVulkan.VulkanQueue) –

a GstVulkan.VulkanQueue

Since : 1.18

#### GstVulkan.VulkanQueue.submit_lock

    def GstVulkan.VulkanQueue.submit_lock (self):
        #python wrapper for 'gst_vulkan_queue_submit_lock'

Locks the queue for command submission using `vkQueueSubmit()` to meet the Vulkan requirements for externally synchronised resources.

Parameters:

`queue` (GstVulkan.VulkanQueue) –

a GstVulkan.VulkanQueue

Since : 1.18

#### gst_vulkan_queue_submit_unlock

    gst_vulkan_queue_submit_unlock (GstVulkanQueue * queue)

Unlocks the queue for command submission using `vkQueueSubmit()`.

See gst_vulkan_queue_submit_lock for details on when this call is needed.

Parameters:

`queue` –

a GstVulkanQueue

Since : 1.18

#### GstVulkan.VulkanQueue.prototype.submit_unlock

    function GstVulkan.VulkanQueue.prototype.submit_unlock(): {
        // javascript wrapper for 'gst_vulkan_queue_submit_unlock'
    }

Unlocks the queue for command submission using `vkQueueSubmit()`.

See GstVulkan.VulkanQueue.prototype.submit_lock for details on when this call is needed.

Parameters:

`queue` (GstVulkan.VulkanQueue) –

a GstVulkan.VulkanQueue

Since : 1.18

#### GstVulkan.VulkanQueue.submit_unlock

    def GstVulkan.VulkanQueue.submit_unlock (self):
        #python wrapper for 'gst_vulkan_queue_submit_unlock'

Unlocks the queue for command submission using `vkQueueSubmit()`.

See GstVulkan.VulkanQueue.submit_lock for details on when this call is needed.

Parameters:

`queue` (GstVulkan.VulkanQueue) –

a GstVulkan.VulkanQueue

Since : 1.18

### Functions

#### gst_vulkan_queue_flags_to_string

    gchar *
    gst_vulkan_queue_flags_to_string (VkQueueFlags queue_bits)

Parameters:

`queue_bits` –
No description available
Returns –
No description available

Since : 1.18

#### GstVulkan.VulkanQueue.prototype.flags_to_string

    function GstVulkan.VulkanQueue.prototype.flags_to_string(queue_bits: Vulkan.QueueFlags): {
        // javascript wrapper for 'gst_vulkan_queue_flags_to_string'
    }

Parameters:

`queue_bits` (Vulkan.QueueFlags) –
No description available
Returns (String) –
No description available

Since : 1.18

#### GstVulkan.VulkanQueue.flags_to_string

    def GstVulkan.VulkanQueue.flags_to_string (queue_bits):
        #python wrapper for 'gst_vulkan_queue_flags_to_string'

Parameters:

`queue_bits` (Vulkan.QueueFlags) –
No description available
Returns (str) –
No description available

Since : 1.18

#### gst_vulkan_queue_handle_context_query

    gboolean
    gst_vulkan_queue_handle_context_query (GstElement * element,
                                           GstQuery * query,
                                           GstVulkanQueue * queue)

If a GstVulkanQueue is requested in query, sets queue as the reply.

Intended for use with element query handlers to respond to GST_QUERY_CONTEXT for a GstVulkanQueue.

Parameters:

`element` –

a GstElement

`query` –

a GstQuery of type GST_QUERY_CONTEXT

`queue` ( [nullable]) –

the GstVulkanQueue

Returns –

whether query was responded to with queue

Since : 1.18

#### GstVulkan.VulkanQueue.prototype.handle_context_query

    function GstVulkan.VulkanQueue.prototype.handle_context_query(element: Gst.Element, query: Gst.Query, queue: GstVulkan.VulkanQueue): {
        // javascript wrapper for 'gst_vulkan_queue_handle_context_query'
    }

If a GstVulkan.VulkanQueue is requested in query, sets queue as the reply.

Intended for use with element query handlers to respond to Gst.QueryType.CONTEXT for a GstVulkan.VulkanQueue.

Parameters:

`element` (Gst.Element) –

a Gst.Element

`query` (Gst.Query) –

a Gst.Query of type Gst.QueryType.CONTEXT

`queue` (GstVulkan.VulkanQueue) –

the GstVulkan.VulkanQueue

Returns (Number) –

whether query was responded to with queue

Since : 1.18

#### GstVulkan.VulkanQueue.handle_context_query

    def GstVulkan.VulkanQueue.handle_context_query (element, query, queue):
        #python wrapper for 'gst_vulkan_queue_handle_context_query'

If a GstVulkan.VulkanQueue is requested in query, sets queue as the reply.

Intended for use with element query handlers to respond to Gst.QueryType.CONTEXT for a GstVulkan.VulkanQueue.

Parameters:

`element` (Gst.Element) –

a Gst.Element

`query` (Gst.Query) –

a Gst.Query of type Gst.QueryType.CONTEXT

`queue` (GstVulkan.VulkanQueue) –

the GstVulkan.VulkanQueue

Returns (bool) –

whether query was responded to with queue

Since : 1.18

#### gst_vulkan_queue_run_context_query

    gboolean
    gst_vulkan_queue_run_context_query (GstElement * element,
                                        GstVulkanQueue ** queue)

Attempt to retrieve a GstVulkanQueue using GST_QUERY_CONTEXT from the surrounding elements of element.

Parameters:

`element` –

a GstElement

`queue` ( [inout]) –

a GstVulkanQueue

Returns –

whether queue contains a valid GstVulkanQueue

Since : 1.18

#### GstVulkan.VulkanQueue.prototype.run_context_query

    function GstVulkan.VulkanQueue.prototype.run_context_query(element: Gst.Element, queue: GstVulkan.VulkanQueue): {
        // javascript wrapper for 'gst_vulkan_queue_run_context_query'
    }

Attempt to retrieve a GstVulkan.VulkanQueue using Gst.QueryType.CONTEXT from the surrounding elements of element.

Parameters:

`element` (Gst.Element) –

a Gst.Element

`queue` (GstVulkan.VulkanQueue) –

a GstVulkan.VulkanQueue

Returns a tuple made of:

(Number ) –

whether queue contains a valid GstVulkan.VulkanQueue

`queue` (GstVulkan.VulkanQueue ) –

whether queue contains a valid GstVulkan.VulkanQueue

Since : 1.18

#### GstVulkan.VulkanQueue.run_context_query

    def GstVulkan.VulkanQueue.run_context_query (element, queue):
        #python wrapper for 'gst_vulkan_queue_run_context_query'

Attempt to retrieve a GstVulkan.VulkanQueue using Gst.QueryType.CONTEXT from the surrounding elements of element.

Parameters:

`element` (Gst.Element) –

a Gst.Element

`queue` (GstVulkan.VulkanQueue) –

a GstVulkan.VulkanQueue

Returns a tuple made of:

(bool ) –

whether queue contains a valid GstVulkan.VulkanQueue

`queue` (GstVulkan.VulkanQueue ) –

whether queue contains a valid GstVulkan.VulkanQueue

Since : 1.18

## Functions

### gst_context_get_vulkan_queue

    gboolean
    gst_context_get_vulkan_queue (GstContext * context,
                                  GstVulkanQueue ** queue)

Parameters:

`context` –

a GstContext

`queue` ( [out][optional][nullable][transfer: full]) –

resulting GstVulkanQueue

Returns –

Whether queue was in context

Since : 1.18

### GstVulkan.prototype.context_get_vulkan_queue

    function GstVulkan.prototype.context_get_vulkan_queue(context: Gst.Context): {
        // javascript wrapper for 'gst_context_get_vulkan_queue'
    }

Parameters:

`context` (Gst.Context) –

a Gst.Context

Returns a tuple made of:

(Number ) –

Whether queue was in context

`queue` (GstVulkan.VulkanQueue ) –

Whether queue was in context

Since : 1.18

### GstVulkan.context_get_vulkan_queue

    def GstVulkan.context_get_vulkan_queue (context):
        #python wrapper for 'gst_context_get_vulkan_queue'

Parameters:

`context` (Gst.Context) –

a Gst.Context

Returns a tuple made of:

(bool ) –

Whether queue was in context

`queue` (GstVulkan.VulkanQueue ) –

Whether queue was in context

Since : 1.18

### gst_context_set_vulkan_queue

    gst_context_set_vulkan_queue (GstContext * context,
                                  GstVulkanQueue * queue)

Sets queue on context

Parameters:

`context` –

a GstContext

`queue` ( [transfer: none][nullable]) –

a GstVulkanQueue

Since : 1.18

### GstVulkan.prototype.context_set_vulkan_queue

    function GstVulkan.prototype.context_set_vulkan_queue(context: Gst.Context, queue: GstVulkan.VulkanQueue): {
        // javascript wrapper for 'gst_context_set_vulkan_queue'
    }

Sets queue on context

Parameters:

`context` (Gst.Context) –

a Gst.Context

`queue` (GstVulkan.VulkanQueue) –

a GstVulkan.VulkanQueue

Since : 1.18

### GstVulkan.context_set_vulkan_queue

    def GstVulkan.context_set_vulkan_queue (context, queue):
        #python wrapper for 'gst_context_set_vulkan_queue'

Sets queue on context

Parameters:

`context` (Gst.Context) –

a Gst.Context

`queue` (GstVulkan.VulkanQueue) –

a GstVulkan.VulkanQueue

Since : 1.18

## Constants

### GST_VULKAN_QUEUE_CONTEXT_TYPE_STR

    #define GST_VULKAN_QUEUE_CONTEXT_TYPE_STR "gst.vulkan.queue"

Since : 1.18

### GstVulkan.VULKAN_QUEUE_CONTEXT_TYPE_STR

Since : 1.18

### GstVulkan.VULKAN_QUEUE_CONTEXT_TYPE_STR

Since : 1.18

The results of the search are